#ifndef __IMG_TYPE__
#define __IMG_TYPE__

#include "BMPLib.h"
#include "JPGLib.h"
#include "PCXLib.h"
#include "TIFFLib.h"
#include "GIFLib.h"

#include "TString.h"

class CImgType
{
	CJPGEngine m_jpg;
	CBMPEngine m_bmp;
	CPCXEngine m_pcx;
	CTIFFEngine m_tiff;
	CGIFEngine m_gif;
	char *m_imgptr;
	int m_x, m_y;
	int m_isanimated, m_delay;

public:
	CImgType();

	void ProcessInFile(char *filename);
	char *GetImage();
	int GetX();
	int GetY();
	int Animated() {return m_isanimated;}
	int AnimDelay() {return m_delay;}
};

#endif