// JPGEngIView.h : interface of the CJPGEngIView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_JPGENGIVIEW_H__491EA2FD_D1B0_4372_8723_E2AD553D7D33__INCLUDED_)
#define AFX_JPGENGIVIEW_H__491EA2FD_D1B0_4372_8723_E2AD553D7D33__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ImageType.h"

class CJPGEngIView : public CView
{
protected: // create from serialization only
	CJPGEngIView();
	DECLARE_DYNCREATE(CJPGEngIView)

// Attributes
public:
	CJPGEngIDoc* GetDocument();

	CImgType *m_img;
	int m_timer;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CJPGEngIView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL DestroyWindow();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CJPGEngIView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CJPGEngIView)
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in JPGEngIView.cpp
inline CJPGEngIDoc* CJPGEngIView::GetDocument()
   { return (CJPGEngIDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_JPGENGIVIEW_H__491EA2FD_D1B0_4372_8723_E2AD553D7D33__INCLUDED_)
